gtkmm: Gtk::ApplicationWindow Class Reference

gtkmm 4.18.0

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gtk::ApplicationWindow Class Reference

A Gtk::Window subclass with Gtk::Application support. More...

`#include <gtkmm/applicationwindow.h>`

Inheritance diagram for Gtk::ApplicationWindow:
[legend]

## Public Member Functions
| ApplicationWindow (ApplicationWindow && src) noexcept
ApplicationWindow & | operator= (ApplicationWindow && src) noexcept
| ApplicationWindow (const ApplicationWindow &)=delete
ApplicationWindow & | operator= (const ApplicationWindow &)=delete
| ~ApplicationWindow () noexcept override
GtkApplicationWindow * | gobj ()
| Provides access to the underlying C GObject.
const GtkApplicationWindow * | gobj () const
| Provides access to the underlying C GObject.
| ApplicationWindow ()
| ApplicationWindow (const Glib::RefPtr< Application > & application)
void | set_show_menubar (bool show_menubar=true)
| Sets whether the window will display a menubar for the app menu and menubar as needed.
bool | get_show_menubar () const
| Returns whether the window will display a menubar for the app menu and menubar as needed.
guint | get_id () const
| Returns the unique ID of the window.
void | set_help_overlay (ShortcutsWindow & help_overlay)
| Associates a shortcuts window with the application window.
void | unset_help_overlay ()
| Undoes the effect of a previous call to set_help_overlay().
ShortcutsWindow * | get_help_overlay ()
| Gets the `Gtk::ShortcutsWindow` that is associated with window.
const ShortcutsWindow * | get_help_overlay () const
| Gets the `Gtk::ShortcutsWindow` that is associated with window.
Glib::PropertyProxy< bool > | property_show_menubar ()
| If this property is true, the window will display a menubar unless it is shown by the desktop shell.
Glib::PropertyProxy_ReadOnly< bool > | property_show_menubar () const
| If this property is true, the window will display a menubar unless it is shown by the desktop shell.
bool | activate_action (const Glib::ustring & name, const Glib::VariantBase & args={})
| Looks up the action in the action groups associated with the widget and its ancestors, and activates it.
Public Member Functions inherited from Gtk::Window
| Window (const Window &)=delete
Window & | operator= (const Window &)=delete
| ~Window () noexcept override
GtkWindow * | gobj ()
| Provides access to the underlying C GObject.
const GtkWindow * | gobj () const
| Provides access to the underlying C GObject.
| Window (Window && src) noexcept
Window & | operator= (Window && src) noexcept
| Window ()
Glib::PropertyProxy< Glib::ustring > | property_title ()
| The title of the window.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_title () const
| The title of the window.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_startup_id ()
| A write-only property for setting window's startup notification identifier.
Glib::PropertyProxy< bool > | property_resizable ()
| If true, users can resize the window.
Glib::PropertyProxy_ReadOnly< bool > | property_resizable () const
| If true, users can resize the window.
Glib::PropertyProxy< bool > | property_modal ()
| If true, the window is modal.
Glib::PropertyProxy_ReadOnly< bool > | property_modal () const
| If true, the window is modal.
Glib::PropertyProxy< int > | property_default_width ()
| The default width of the window.
Glib::PropertyProxy_ReadOnly< int > | property_default_width () const
| The default width of the window.
Glib::PropertyProxy< int > | property_default_height ()
| The default height of the window.
Glib::PropertyProxy_ReadOnly< int > | property_default_height () const
| The default height of the window.
Glib::PropertyProxy< bool > | property_destroy_with_parent ()
| If this window should be destroyed when the parent is destroyed.
Glib::PropertyProxy_ReadOnly< bool > | property_destroy_with_parent () const
| If this window should be destroyed when the parent is destroyed.
Glib::PropertyProxy< bool > | property_hide_on_close ()
| If this window should be hidden instead of destroyed when the user clicks the close button.
Glib::PropertyProxy_ReadOnly< bool > | property_hide_on_close () const
| If this window should be hidden instead of destroyed when the user clicks the close button.
Glib::PropertyProxy< bool > | property_mnemonics_visible ()
| Whether mnemonics are currently visible in this window.
Glib::PropertyProxy_ReadOnly< bool > | property_mnemonics_visible () const
| Whether mnemonics are currently visible in this window.
Glib::PropertyProxy< Glib::ustring > | property_icon_name ()
| Specifies the name of the themed icon to use as the window icon.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_icon_name () const
| Specifies the name of the themed icon to use as the window icon.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Display > > | property_display ()
| The display that will display this window.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Display > > | property_display () const
| The display that will display this window.
Glib::PropertyProxy_ReadOnly< bool > | property_is_active () const
| Whether the toplevel is the currently active window.
Glib::PropertyProxy< bool > | property_decorated ()
| Whether the window should have a frame (also known as decorations).
Glib::PropertyProxy_ReadOnly< bool > | property_decorated () const
| Whether the window should have a frame (also known as decorations).
Glib::PropertyProxy< Window * > | property_transient_for ()
| The transient parent of the window.
Glib::PropertyProxy_ReadOnly< Window * > | property_transient_for () const
| The transient parent of the window.
Glib::PropertyProxy< bool > | property_deletable ()
| Whether the window frame should have a close button.
Glib::PropertyProxy_ReadOnly< bool > | property_deletable () const
| Whether the window frame should have a close button.
Glib::PropertyProxy< Glib::RefPtr< Application > > | property_application ()
| The `Gtk::Application` associated with the window.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Application > > | property_application () const
| The `Gtk::Application` associated with the window.
Glib::PropertyProxy< bool > | property_focus_visible ()
| Whether 'focus rectangles' are currently visible in this window.
Glib::PropertyProxy_ReadOnly< bool > | property_focus_visible () const
| Whether 'focus rectangles' are currently visible in this window.
Glib::PropertyProxy< bool > | property_maximized ()
| Whether the window is maximized.
Glib::PropertyProxy_ReadOnly< bool > | property_maximized () const
| Whether the window is maximized.
Glib::PropertyProxy< bool > | property_fullscreened ()
| Whether the window is fullscreen.
Glib::PropertyProxy_ReadOnly< bool > | property_fullscreened () const
| Whether the window is fullscreen.
Glib::PropertyProxy_ReadOnly< bool > | property_suspended () const
| Whether the window is suspended.
Glib::PropertyProxy< Widget * > | property_default_widget ()
| The default widget.
Glib::PropertyProxy_ReadOnly< Widget * > | property_default_widget () const
| The default widget.
Glib::PropertyProxy< Widget * > | property_focus_widget ()
| The focus widget.
Glib::PropertyProxy_ReadOnly< Widget * > | property_focus_widget () const
| The focus widget.
Glib::PropertyProxy< Widget * > | property_child ()
| The child widget.
Glib::PropertyProxy_ReadOnly< Widget * > | property_child () const
| The child widget.
Glib::PropertyProxy< Widget * > | property_titlebar ()
| The titlebar widget.
Glib::PropertyProxy_ReadOnly< Widget * > | property_titlebar () const
| The titlebar widget.
Glib::PropertyProxy< bool > | property_handle_menubar_accel ()
| Whether the window frame should handle `F10` for activating menubars.
Glib::PropertyProxy_ReadOnly< bool > | property_handle_menubar_accel () const
| Whether the window frame should handle `F10` for activating menubars.
Glib::SignalProxy< void()> | signal_keys_changed ()
Glib::SignalProxy< bool()> | signal_close_request ()
void | set_title (const Glib::ustring & title)
| Sets the title of the window.
Glib::ustring | get_title () const
| Retrieves the title of the window.
void | set_startup_id (const Glib::ustring & startup_id)
| Sets the startup notification ID.
void | set_focus (Gtk::Widget & focus)
| If focus is not the current focus widget, and is focusable, sets it as the focus widget for the window.
void | unset_focus ()
Widget * | get_focus ()
| Retrieves the current focused widget within the window.
const Widget * | get_focus () const
| Retrieves the current focused widget within the window.
void | set_default_widget (Gtk::Widget & default_widget)
| Sets the default widget.
void | unset_default_widget ()
Widget * | get_default_widget ()
| Returns the default widget for window.
const Widget * | get_default_widget () const
| Returns the default widget for window.
void | set_transient_for (Window & parent)
| Sets a transient parent for the window.
void | unset_transient_for ()
| Unsets the current transient window.
Window * | get_transient_for ()
| Fetches the transient parent for this window.
const Window * | get_transient_for () const
| Fetches the transient parent for this window.
void | set_destroy_with_parent (bool setting=true)
| Sets whether to destroy the window when the transient parent is destroyed.
bool | get_destroy_with_parent () const
| Returns whether the window will be destroyed with its transient parent.
void | destroy ()
| Drop the internal reference GTK holds on toplevel windows.
void | set_hide_on_close (bool setting=true)
| Sets whether clicking the close button will hide the window instead of destroying it.
bool | get_hide_on_close () const
| Returns whether the window will be hidden instead of destroyed when the close button is clicked.
void | set_mnemonics_visible (bool setting=true)
| Sets whether mnemonics are supposed to be visible.
bool | get_mnemonics_visible () const
| Gets whether mnemonics are supposed to be visible.
void | set_focus_visible (bool setting=true)
| Sets whether “focus rectangles” are supposed to be visible.
bool | get_focus_visible () const
| Gets whether “focus rectangles” are supposed to be visible.
void | set_resizable (bool resizable=true)
| Sets whether the user can resize a window.
bool | get_resizable () const
| Gets whether the user can resize the window.
void | set_display (const Glib::RefPtr< Gdk::Display > & display)
| Sets the display where the window is displayed.
bool | is_active () const
| Returns whether the window is part of the current active toplevel.
void | set_decorated (bool setting=true)
| Sets whether the window should be decorated.
bool | get_decorated () const
| Returns whether the window has been set to have decorations.
void | set_deletable (bool setting=true)
| Sets whether the window should be deletable.
bool | get_deletable () const
| Returns whether the window has been set to have a close button.
void | set_icon_name (const Glib::ustring & name)
| Sets the icon for the window from a named themed icon.
Glib::ustring | get_icon_name () const
| Returns the name of the themed icon for the window.
void | set_modal (bool modal=true)
| Sets a window modal or non-modal.
bool | get_modal () const
| Returns whether the window is modal.
void | present ()
| Presents a window to the user.
void | present (guint32 timestamp)
| Presents a window to the user in response to an user interaction.
void | minimize ()
| Asks to minimize the window.
void | unminimize ()
| Asks to unminimize the window.
void | maximize ()
| Asks to maximize the window, so that it fills the screen.
void | unmaximize ()
| Asks to unmaximize the window.
void | fullscreen ()
| Asks to place the window in the fullscreen state.
void | unfullscreen ()
| Asks to remove the fullscreen state for the window, and return to its previous state.
void | fullscreen_on_monitor (const Glib::RefPtr< Gdk::Monitor > & monitor)
| Asks to place the window in the fullscreen state on the given monitor.
void | close ()
| Requests that the window is closed.
void | set_default_size (int width, int height)
| Sets the default size of a window.
void | get_default_size (int & width, int & height) const
| Gets the default size of the window.
Glib::RefPtr< WindowGroup > | get_group ()
| Returns the group for the window.
Glib::RefPtr< const WindowGroup > | get_group () const
| Returns the group for the window.
bool | has_group () const
| Returns whether the window has an explicit window group.
Glib::RefPtr< Application > | get_application ()
| Gets the application object associated with the window.
Glib::RefPtr< const Application > | get_application () const
| Gets the application object associated with the window.
void | set_application (const Glib::RefPtr< Application > & application)
| Sets the Gtk::Application associated with the window.
void | unset_application ()
| Unsets the Application associated with the window.
void | set_child (Widget & child)
| Sets the child widget of the window.
void | unset_child ()
Widget * | get_child ()
| Gets the child widget of the window.
const Widget * | get_child () const
| Gets the child widget of the window.
void | set_titlebar (Widget & titlebar)
| Sets a custom titlebar for the window.
void | unset_titlebar ()
| Unsets the titlebar.
Widget * | get_titlebar ()
| Returns the titlebar that has been set with set_titlebar().
const Widget * | get_titlebar () const
| Returns the titlebar that has been set with set_titlebar().
bool | is_maximized () const
| Retrieves the current maximized state of the window.
bool | is_fullscreen () const
| Retrieves the current fullscreen state of the window.
bool | is_suspended () const
| Retrieves the current suspended state of the window.
void | set_handle_menubar_accel (bool handle_menubar_accel)
| Sets whether this window should react to `F10` presses by activating a menubar it contains.
bool | get_handle_menubar_accel () const
| Returns whether this window reacts to `F10` presses by activating a menubar it contains.
void | set_manage () override
| Used by Gtk::manage() and Gtk::make_managed().
Glib::RefPtr< Gdk::Display > | get_display ()
| Returns the display that this `Gtk::Root` is on.
Glib::RefPtr< const Gdk::Display > | get_display () const
| Returns the display that this `Gtk::Root` is on.
Public Member Functions inherited from Gtk::Widget
| Widget (Widget && src) noexcept
Widget & | operator= (Widget && src) noexcept
| Widget (const Widget &)=delete
Widget & | operator= (const Widget &)=delete
| ~Widget () noexcept override
| Destroys the widget.
GtkWidget * | gobj ()
| Provides access to the underlying C GObject.
const GtkWidget * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< ConstraintTarget > | make_refptr_constrainttarget ()
| Converts this widget to a reference counted Gtk::ConstraintTarget.
Glib::RefPtr< const ConstraintTarget > | make_refptr_constrainttarget () const
| Converts this widget to a reference counted Gtk::ConstraintTarget.
void | show ()
| Flags a widget to be displayed.
void | hide ()
| Reverses the effects of [method.Gtk.Widget.show].
void | queue_draw ()
| Schedules this widget to be redrawn.
void | queue_resize ()
| Flags a widget to have its size renegotiated.
void | queue_allocate ()
| Flags the widget for a rerun of the size_allocate_vfunc() function.
void | size_allocate (const Allocation & allocation, int baseline)
| Allocates widget with a transformation that translates the origin to the position in allocation.
SizeRequestMode | get_request_mode () const
| Gets whether the widget prefers a height-for-width layout or a width-for-height layout.
void | measure (Orientation orientation, int for_size, int & minimum, int & natural, int & minimum_baseline, int & natural_baseline) const
| Measures widget in the orientation orientation and for the given for_size.
Measurements | measure (Orientation orientation, int for_size=-1) const
| Like the other overload of measure() but returns a structure holding the sizes/baselines instead of using output parameters.
void | get_preferred_size (Requisition & minimum_size, Requisition & natural_size) const
| Retrieves the minimum and natural size of a widget, taking into account the widget’s preference for height-for-width management.
PreferredSize | get_preferred_size () const
| Like the other overload of get_preferred_size() but returns a structure holding the sizes instead of using output parameters.
void | set_layout_manager (const Glib::RefPtr< LayoutManager > & layout_manager)
| Sets the layout manager to use for measuring and allocating children of the widget.
void | unset_layout_manager ()
| Undoes the effect of a previous call to set_layout_manager().
Glib::RefPtr< LayoutManager > | get_layout_manager ()
| Retrieves the layout manager of the widget.
Glib::RefPtr< const LayoutManager > | get_layout_manager () const
| Retrieves the layout manager of the widget.
bool | mnemonic_activate (bool group_cycling)
| Emits the signal_mnemonic_activate() signal.
bool | activate ()
| For widgets that can be “activated” (buttons, menu items, etc.) this function activates them.
void | set_can_focus (bool can_focus=true)
| Sets whether the input focus can enter the widget or any of its children.
bool | get_can_focus () const
| Determines whether the input focus can enter the widget or any of its children.
void | set_focusable (bool focusable=true)
| Sets whether the widget can own the input focus.
bool | get_focusable () const
| Determines whether the widget can own the input focus.
bool | has_focus () const
| Determines if the widget has the global input focus.
bool | is_focus () const
| Determines if the widget is the focus widget within its toplevel.
bool | has_visible_focus () const
| Determines if the widget should show a visible indication that it has the global input focus.
bool | grab_focus ()
| Causes widget to have the keyboard focus for the window that it belongs to.
void | set_focus_on_click (bool focus_on_click=true)
| Sets whether the widget should grab focus when it is clicked with the mouse.
bool | get_focus_on_click () const
| Returns whether the widget should grab focus when it is clicked with the mouse.
void | set_can_target (bool can_target=true)
| Sets whether the widget can be the target of pointer events.
bool | get_can_target () const
| Queries whether the widget can be the target of pointer events.
bool | has_default () const
| Determines whether the widget is the current default widget within its toplevel.
void | set_receives_default (bool receives_default=true)
| Sets whether the widget will be treated as the default widget within its toplevel when it has the focus, even if another widget is the default.
bool | get_receives_default () const
| Determines whether the widget is always treated as the default widget within its toplevel when it has the focus, even if another widget is the default.
void | set_name (const Glib::ustring & name)
| Sets a widgets name.
void | unset_name ()
Glib::ustring | get_name () const
| Retrieves the name of a widget.
void | set_state_flags (StateFlags flags, bool clear=true)
| Turns on flag values in the current widget state.
void | unset_state_flags (StateFlags flags)
| Turns off flag values for the current widget state.
StateFlags | get_state_flags () const
| Returns the widget state as a flag set.
void | set_sensitive (bool sensitive=true)
| Sets the sensitivity of the widget.
bool | get_sensitive () const
| Returns the widget’s sensitivity.
bool | is_sensitive () const
| Returns the widget’s effective sensitivity.
void | set_visible (bool visible=true)
| Sets the visibility state of widget.
bool | get_visible () const
| Determines whether the widget is visible.
bool | is_visible () const
| Determines whether the widget and all its parents are marked as visible.
bool | is_drawable () const
| Determines whether the widget can be drawn to.
bool | get_realized () const
| Determines whether the widget is realized.
bool | get_mapped () const
| Returns whether the widget is mapped.
void | set_child_visible (bool visible=true)
| Sets whether the widget should be mapped along with its parent.
bool | get_child_visible () const
| Gets the value set with set_child_visible().
int | get_allocated_width () const
| Returns the width that has currently been allocated to the widget.
int | get_allocated_height () const
| Returns the height that has currently been allocated to the widget.
int | get_allocated_baseline () const
| Returns the baseline that has currently been allocated to the widget.
Allocation | get_allocation () const
| Retrieves the widget’s location.
std::optional< Gdk::Graphene::Rect > | compute_bounds (const Widget & target) const
| Computes the bounds for the widget in the coordinate space of target.
std::optional< Gdk::Graphene::Point > | compute_point (const Widget & target, const Gdk::Graphene::Point & point) const
| Translates the given point in the widget's coordinates to coordinates relative to target’s coordinate system.
int | get_width () const
| Returns the content width of the widget.
int | get_height () const
| Returns the content height of the widget.
int | get_baseline () const
| Returns the baseline that has currently been allocated to the widget.
int | get_size (Orientation orientation) const
| Returns the content width or height of the widget.
Widget * | get_parent ()
| Returns the parent widget of the widget.
const Widget * | get_parent () const
| Returns the parent widget of the widget.
Root * | get_root ()
| Returns the `Gtk::Root` widget of the widget.
const Root * | get_root () const
| Returns the `Gtk::Root` widget of the widget.
Native * | get_native ()
| Returns the nearest `Gtk::Native` ancestor of the widget.
const Native * | get_native () const
| Returns the nearest `Gtk::Native` ancestor of the widget.
bool | child_focus (DirectionType direction)
| Called by widgets as the user moves around the window using keyboard shortcuts.
bool | keynav_failed (DirectionType direction)
| Emits the signal_keynav_failed() signal on the widget.
void | error_bell ()
| Notifies the user about an input-related error on the widget.
void | set_size_request (int width=-1, int height=-1)
| Sets the minimum size of the widget.
void | get_size_request (int & width, int & height) const
| Gets the size request that was explicitly set for the widget.
Requisition | get_size_request () const
| Like the other overload of get_size_request() but returns a structure holding the sizes instead of using output parameters.
void | set_opacity (double opacity)
| Requests the widget to be rendered partially transparent.
double | get_opacity () const
| Fetches the requested opacity for the widget.
void | set_overflow (Overflow overflow)
| Sets how the widget treats content that is drawn outside the it's content area.
Overflow | get_overflow () const
| Returns the widget’s overflow value.
Widget * | get_ancestor (GType widget_type)
| Gets the first ancestor of the widget with type widget_type.
const Widget * | get_ancestor (GType widget_type) const
| Gets the first ancestor of the widget with type widget_type.
int | get_scale_factor () const
| Retrieves the internal scale factor that maps from window coordinates to the actual device pixels.
Glib::RefPtr< Gdk::Display > | get_display ()
| Get the display for the window that the widget belongs to.
Glib::RefPtr< const Gdk::Display > | get_display () const
| Get the display for the window that the widget belongs to.
Glib::RefPtr< Settings > | get_settings ()
| Gets the settings object holding the settings used for the widget.
Glib::RefPtr< Gdk::Clipboard > | get_clipboard ()
| Gets the clipboard object for the widget.
Glib::RefPtr< const Gdk::Clipboard > | get_clipboard () const
| Gets the clipboard object for the widget.
Glib::RefPtr< Gdk::Clipboard > | get_primary_clipboard ()
| Gets the primary clipboard of the widget.
Glib::RefPtr< const Gdk::Clipboard > | get_primary_clipboard () const
| Gets the primary clipboard of the widget.
bool | get_hexpand () const
| Gets whether the widget would like any available extra horizontal space.
void | set_hexpand (bool expand=true)
| Sets whether the widget would like any available extra horizontal space.
bool | get_hexpand_set () const
| Gets whether the `hexpand` flag has been explicitly set.
void | set_hexpand_set (bool set=true)
| Sets whether the hexpand flag will be used.
bool | get_vexpand () const
| Gets whether the widget would like any available extra vertical space.
void | set_vexpand (bool expand=true)
| Sets whether the widget would like any available extra vertical space.
bool | get_vexpand_set () const
| Gets whether the `vexpand` flag has been explicitly set.
void | set_vexpand_set (bool set=true)
| Sets whether the vexpand flag will be used.
bool | compute_expand (Orientation orientation)
| Computes whether a parent widget should give this widget extra space when possible.
void | set_expand (bool expand=true)
| Sets whether the widget would like any available extra space in both directions.
Align | get_halign () const
| Gets the horizontal alignment of the widget.
void | set_halign (Align align)
| Sets the horizontal alignment of the widget.
Align | get_valign () const
| Gets the vertical alignment of the widget.
void | set_valign (Align align)
| Sets the vertical alignment of the widget.
int | get_margin_start () const
| Gets the start margin of the widget.
void | set_margin_start (int margin)
| Sets the start margin of the widget.
int | get_margin_end () const
| Gets the end margin of the widget.
void | set_margin_end (int margin)
| Sets the end margin of the widget.
int | get_margin_top () const
| Gets the top margin of the widget.
void | set_margin_top (int margin)
| Sets the top margin of the widget.
int | get_margin_bottom () const
| Gets the bottom margin of the widget.
void | set_margin_bottom (int margin)
| Sets the bottom margin of the widget.
void | set_margin (int margin)
| Set all 4 margins to the same value.
bool | is_ancestor (Widget & ancestor) const
| Determines whether the widget is a descendent of ancestor.
bool | translate_coordinates (Widget & dest_widget, double src_x, double src_y, double & dest_x, double & dest_y)
| Translates coordinates relative to src_widget’s allocation to coordinates relative to dest_widget’s allocations.
bool | contains (double x, double y) const
| Tests if a given point is contained in the widget.
Widget * | pick (double x, double y, PickFlags flags=PickFlags::DEFAULT)
| Finds the descendant of the widget closest to a point.
const Widget * | pick (double x, double y, PickFlags flags=PickFlags::DEFAULT) const
| Finds the descendant of the widget closest to a point.
void | add_controller (const Glib::RefPtr< EventController > & controller)
| Adds an event controller to the widget.
void | remove_controller (const Glib::RefPtr< EventController > & controller)
| Removes an event controller from the widget.
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a new `Pango::Context` that is configured for the widget.
Glib::RefPtr< Pango::Context > | get_pango_context ()
| Gets a `Pango::Context` that is configured for the widget.
void | set_font_options (const Cairo::FontOptions & options)
| Sets the `cairo_font_options_t` used for text rendering in the widget.
void | unset_font_options ()
| Undoes the effect of previous calls to set_font_options().
Cairo::FontOptions | get_font_options () const
| Returns the `cairo_font_options_t` of the widget.
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring & text)
| Creates a new `Pango::Layout` that is configured for the widget.
void | set_direction (TextDirection dir)
| Sets the reading direction on the widget.
TextDirection | get_direction () const
| Gets the reading direction for the widget.
void | set_cursor (const Glib::RefPtr< Gdk::Cursor > & cursor)
| Sets the cursor to be shown when the pointer hovers over the widget.
void | set_cursor (const Glib::ustring & name={})
| Sets a named cursor to be shown when pointer devices point towards the widget.
Glib::RefPtr< Gdk::Cursor > | get_cursor ()
| Gets the cursor set on the widget.
Glib::RefPtr< const Gdk::Cursor > | get_cursor () const
| Gets the cursor set on the widget.
std::vector< Widget * > | list_mnemonic_labels ()
| Returns the widgets for which this widget is the target of a mnemonic.
std::vector< const Widget * > | list_mnemonic_labels () const
| Returns the widgets for which this widget is the target of a mnemonic.
void | add_mnemonic_label (Widget & label)
| Adds a widget to the list of mnemonic labels for this widget.
void | remove_mnemonic_label (Widget & label)
| Removes a widget from the list of mnemonic labels for this widget.
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
| Checks to see if a drag movement has passed the GTK drag threshold.
Glib::RefPtr< Gdk::FrameClock > | get_frame_clock ()
| Obtains the frame clock for a widget.
Glib::RefPtr< const Gdk::FrameClock > | get_frame_clock () const
| Obtains the frame clock for a widget.
void | set_parent (Widget & parent)
| Sets the parent widget of the widget.
void | unparent ()
| Removes widget from its parent.
void | map ()
| Causes a widget to be mapped if it isn’t already.
void | unmap ()
| Causes a widget to be unmapped if it’s currently mapped.
void | trigger_tooltip_query ()
| Triggers a tooltip query on the display of the widget.
void | set_tooltip_text (const Glib::ustring & text)
| Sets the contents of the tooltip for the widget.
Glib::ustring | get_tooltip_text () const
| Gets the contents of the tooltip for the widget.
void | set_tooltip_markup (const Glib::ustring & markup)
| Sets the contents of the tooltip for widget.
Glib::ustring | get_tooltip_markup () const
| Gets the contents of the tooltip for the widget.
void | set_has_tooltip (bool has_tooltip=TRUE)
| Sets the `has-tooltip` property on the widget.
bool | get_has_tooltip () const
| Returns the current value of the `has-tooltip` property.
bool | in_destruction () const
| Returns whether the widget is currently being destroyed.
Glib::RefPtr< StyleContext > | get_style_context ()
| Returns the style context associated to the widget.
Glib::RefPtr< const StyleContext > | get_style_context () const
| Returns the style context associated to the widget.
guint | add_tick_callback (const SlotTick & slot)
| Queues an animation frame update and adds a callback to be called before each frame.
void | remove_tick_callback (guint id)
| Removes a tick callback previously registered with add_tick_callback().
void | insert_action_group (const Glib::ustring & name, const Glib::RefPtr< Gio::ActionGroup > & group)
| Inserts an action group into the widget's actions.
void | remove_action_group (const Glib::ustring & name)
| Removes a group from the widget.
bool | activate_action (const Glib::ustring & name, const Glib::VariantBase & args={})
| Looks up the action in the action groups associated with the widget and its ancestors, and activates it.
void | activate_default ()
| Activates the `default.activate` action for the widget.
void | set_font_map (const Glib::RefPtr< Pango::FontMap > & font_map)
| Sets the font map to use for text rendering in the widget.
Glib::RefPtr< Pango::FontMap > | get_font_map ()
| Gets the font map of the widget.
Glib::RefPtr< const Pango::FontMap > | get_font_map () const
| Gets the font map of the widget.
Widget * | get_first_child ()
| Returns the widget’s first child.
const Widget * | get_first_child () const
| Returns the widget’s first child.
Widget * | get_last_child ()
| Returns the widget’s last child.
const Widget * | get_last_child () const
| Returns the widget’s last child.
Widget * | get_next_sibling ()
| Returns the widget’s next sibling.
const Widget * | get_next_sibling () const
| Returns the widget’s next sibling.
Widget * | get_prev_sibling ()
| Returns the widget’s previous sibling.
const Widget * | get_prev_sibling () const
| Returns the widget’s previous sibling.
std::vector< Widget * > | get_children ()
| Gets a vector of the widgetʼs current children, from first child to last.
std::vector< const Widget * > | get_children () const
| Gets a vector of the widgetʼs current children, from first child to last.
Glib::RefPtr< Gio::ListModel > | observe_children ()
| Returns a list model to track the children of the widget.
Glib::RefPtr< const Gio::ListModel > | observe_children () const
| Returns a list model to track the children of the widget.
Glib::RefPtr< Gio::ListModel > | observe_controllers ()
| Returns a list model to track the event controllers of the widget.
Glib::RefPtr< const Gio::ListModel > | observe_controllers () const
| Returns a list model to track the event controllers of the widget.
void | insert_after (Widget & parent, const Widget & previous_sibling)
| Inserts the Widget into the child widget list of parent after previous_sibling.
void | insert_before (Widget & parent, const Widget & next_sibling)
| Inserts the Widget into the child widget list of parent before next_sibling.
void | insert_at_start (Widget & parent)
| Inserts the Widget at the beginning of the child widget list of parent.
void | insert_at_end (Widget & parent)
| Inserts the Widget at the end of the child widget list of parent.
void | snapshot_child (Widget & child, const Glib::RefPtr< Gtk::Snapshot > & snapshot)
| Snapshots a child of the widget.
bool | should_layout () const
| Returns whether the widget should contribute to the measuring and allocation of its parent.
Glib::ustring | get_css_name () const
| Returns the CSS name of the widget.
void | add_css_class (const Glib::ustring & css_class)
| Adds a style class to the widget.
void | remove_css_class (const Glib::ustring & css_class)
| Removes a style from the widget.
bool | has_css_class (const Glib::ustring & css_class) const
| Returns whether a style class is currently applied to the widget.
std::vector< Glib::ustring > | get_css_classes () const
| Returns the list of style classes applied to the widget.
void | set_css_classes (const std::vector< Glib::ustring > & classes)
| Replaces the current style classes of the widget with classes.
Gdk::RGBA | get_color () const
| Gets the current foreground color for the widget's CSS style.
void | set_limit_events (bool limit_events=true)
| Sets whether the widget acts like a modal dialog, with respect to event delivery.
bool | get_limit_events () const
| Gets the value of the property_limit_events() property.
Glib::SignalProxy< void()> | signal_show ()
Glib::SignalProxy< void()> | signal_hide ()
Glib::SignalProxy< void()> | signal_map ()
| Emitted on mapping of a widget to the screen.
Glib::SignalProxy< void()> | signal_unmap ()
Glib::SignalProxy< void()> | signal_realize ()
| Emitted on realization of a widget.
Glib::SignalProxy< void()> | signal_unrealize ()
Glib::SignalProxy< void(Gtk::StateFlags)> | signal_state_flags_changed ()
Glib::SignalProxy< void(TextDirection)> | signal_direction_changed ()
Glib::SignalProxy< bool(bool)> | signal_mnemonic_activate ()
Glib::SignalProxy< void()> | signal_destroy ()
| Emitted during the dispose phase.
Glib::SignalProxy< bool(int, int, bool, const Glib::RefPtr< Tooltip > &)> | signal_query_tooltip ()
Glib::PropertyProxy< Glib::ustring > | property_name ()
| The name of the widget.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| The name of the widget.
Glib::PropertyProxy_ReadOnly< Widget * > | property_parent () const
| The parent widget of this widget.
Glib::PropertyProxy_ReadOnly< Root * > | property_root () const
| The `Gtk::Root` widget of the widget tree containing this widget.
Glib::PropertyProxy< int > | property_width_request ()
| Overrides for width request of the widget.
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
| Overrides for width request of the widget.
Glib::PropertyProxy< int > | property_height_request ()
| Overrides for height request of the widget.
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
| Overrides for height request of the widget.
Glib::PropertyProxy< bool > | property_visible ()
| Whether the widget is visible.
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Whether the widget is visible.
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the widget responds to input.
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Whether the widget responds to input.
Glib::PropertyProxy< bool > | property_can_focus ()
| Whether the widget or any of its descendents can accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_can_focus () const
| Whether the widget or any of its descendents can accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_has_focus () const
| Whether the widget has the input focus.
Glib::PropertyProxy< bool > | property_can_target ()
| Whether the widget can receive pointer events.
Glib::PropertyProxy_ReadOnly< bool > | property_can_target () const
| Whether the widget can receive pointer events.
Glib::PropertyProxy< bool > | property_focus_on_click ()
| Whether the widget should grab focus when it is clicked with the mouse.
Glib::PropertyProxy_ReadOnly< bool > | property_focus_on_click () const
| Whether the widget should grab focus when it is clicked with the mouse.
Glib::PropertyProxy< bool > | property_focusable ()
| Whether this widget itself will accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_focusable () const
| Whether this widget itself will accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_has_default () const
| Whether the widget is the default widget.
Glib::PropertyProxy< bool > | property_receives_default ()
| Whether the widget will receive the default action when it is focused.
Glib::PropertyProxy_ReadOnly< bool > | property_receives_default () const
| Whether the widget will receive the default action when it is focused.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Cursor > > | property_cursor ()
| The cursor used by widget.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Cursor > > | property_cursor () const
| The cursor used by widget.
Glib::PropertyProxy< bool > | property_has_tooltip ()
| Enables or disables the emission of the signal_query_tooltip() signal on widget.
Glib::PropertyProxy_ReadOnly< bool > | property_has_tooltip () const
| Enables or disables the emission of the signal_query_tooltip() signal on widget.
Glib::PropertyProxy< Glib::ustring > | property_tooltip_markup ()
| Sets the text of tooltip to be the given string, which is marked up with Pango markup.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_markup () const
| Sets the text of tooltip to be the given string, which is marked up with Pango markup.
Glib::PropertyProxy< Glib::ustring > | property_tooltip_text ()
| Sets the text of tooltip to be the given string.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_text () const
| Sets the text of tooltip to be the given string.
Glib::PropertyProxy< Align > | property_halign ()
| How to distribute horizontal space if widget gets extra space.
Glib::PropertyProxy_ReadOnly< Align > | property_halign () const
| How to distribute horizontal space if widget gets extra space.
Glib::PropertyProxy< Align > | property_valign ()
| How to distribute vertical space if widget gets extra space.
Glib::PropertyProxy_ReadOnly< Align > | property_valign () const
| How to distribute vertical space if widget gets extra space.
Glib::PropertyProxy< int > | property_margin_start ()
| Margin on start of widget, horizontally.
Glib::PropertyProxy_ReadOnly< int > | property_margin_start () const
| Margin on start of widget, horizontally.
Glib::PropertyProxy< int > | property_margin_end ()
| Margin on end of widget, horizontally.
Glib::PropertyProxy_ReadOnly< int > | property_margin_end () const
| Margin on end of widget, horizontally.
Glib::PropertyProxy< int > | property_margin_top ()
| Margin on top side of widget.
Glib::PropertyProxy_ReadOnly< int > | property_margin_top () const
| Margin on top side of widget.
Glib::PropertyProxy< int > | property_margin_bottom ()
| Margin on bottom side of widget.
Glib::PropertyProxy_ReadOnly< int > | property_margin_bottom () const
| Margin on bottom side of widget.
Glib::PropertyProxy< bool > | property_hexpand ()
| Whether to expand horizontally.
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand () const
| Whether to expand horizontally.
Glib::PropertyProxy< bool > | property_hexpand_set ()
| Whether to use the `hexpand` property.
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand_set () const
| Whether to use the `hexpand` property.
Glib::PropertyProxy< bool > | property_vexpand ()
| Whether to expand vertically.
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand () const
| Whether to expand vertically.
Glib::PropertyProxy< bool > | property_vexpand_set ()
| Whether to use the `vexpand` property.
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand_set () const
| Whether to use the `vexpand` property.
Glib::PropertyProxy< double > | property_opacity ()
| The requested opacity of the widget.
Glib::PropertyProxy_ReadOnly< double > | property_opacity () const
| The requested opacity of the widget.
Glib::PropertyProxy< Overflow > | property_overflow ()
| How content outside the widget's content area is treated.
Glib::PropertyProxy_ReadOnly< Overflow > | property_overflow () const
| How content outside the widget's content area is treated.
Glib::PropertyProxy_ReadOnly< int > | property_scale_factor () const
| The scale factor of the widget.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_css_name () const
| The name of this widget in the CSS tree.
Glib::PropertyProxy< std::vector< Glib::ustring > > | property_css_classes ()
| A list of css classes applied to this widget.
Glib::PropertyProxy_ReadOnly< std::vector< Glib::ustring > > | property_css_classes () const
| A list of css classes applied to this widget.
Glib::PropertyProxy< Glib::RefPtr< LayoutManager > > | property_layout_manager ()
| The Gtk::LayoutManager instance to use to compute the preferred size of the widget, and allocate its children.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< LayoutManager > > | property_layout_manager () const
| The Gtk::LayoutManager instance to use to compute the preferred size of the widget, and allocate its children.
Glib::PropertyProxy< bool > | property_limit_events ()
| Makes this widget act like a modal dialog, with respect to event delivery.
Glib::PropertyProxy_ReadOnly< bool > | property_limit_events () const
| Makes this widget act like a modal dialog, with respect to event delivery.
Public Member Functions inherited from Gtk::Object
| Object (Object && src) noexcept
Object & | operator= (Object && src) noexcept
| ~Object () noexcept override
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data_with_c_callback (const Quark &key, void *data, GDestroyNotify notify)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from Gtk::Accessible
| Accessible (Accessible && src) noexcept
Accessible & | operator= (Accessible && src) noexcept
| ~Accessible () noexcept override
GtkAccessible * | gobj ()
| Provides access to the underlying C GObject.
const GtkAccessible * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< ATContext > | get_at_context ()
| Retrieves the implementation for the given accessible object.
Glib::RefPtr< const ATContext > | get_at_context () const
| Retrieves the implementation for the given accessible object.
bool | get_platform_state (PlatformState state) const
| Queries a platform state, such as focus.
void | update_platform_state (PlatformState state)
| Informs ATs that the platform state has changed.
Glib::RefPtr< Accessible > | get_accessible_parent ()
| Retrieves the accessible parent for an accessible object.
Glib::RefPtr< const Accessible > | get_accessible_parent () const
| Retrieves the accessible parent for an accessible object.
void | set_accessible_parent (const Glib::RefPtr< Accessible > & parent, const Glib::RefPtr< Accessible > & next_sibling)
| Sets the parent and sibling of an accessible object.
Glib::RefPtr< Accessible > | get_first_accessible_child ()
| Retrieves the first accessible child of an accessible object.
Glib::RefPtr< const Accessible > | get_first_accessible_child () const
| Retrieves the first accessible child of an accessible object.
Glib::RefPtr< Accessible > | get_next_accessible_sibling ()
| Retrieves the next accessible sibling of an accessible object.
Glib::RefPtr< const Accessible > | get_next_accessible_sibling () const
| Retrieves the next accessible sibling of an accessible object.
void | update_next_accessible_sibling (const Glib::RefPtr< Accessible > & new_sibling)
| Updates the next accessible sibling.
bool | get_bounds (int & x, int & y, int & width, int & height) const
| Queries the coordinates and dimensions of this accessible.
Role | get_accessible_role () const
| Retrieves the accessible role of an accessible object.
void | update_state (State state, const Glib::ValueBase & value)
| Updates an accessible state.
void | update_property (Property property, const Glib::ValueBase & value)
| Updates an accessible property.
void | update_relation (Relation relation, const Glib::ValueBase & value)
| Updates an accessible relation.
void | reset_state (State state)
| Resets the accessible state to its default value.
void | reset_property (Property property)
| Resets the accessible property to its default value.
void | reset_relation (Relation relation)
| Resets the accessible relation to its default value.
void | announce (const Glib::ustring & message, AnnouncementPriority priority)
| Requests the user's screen reader to announce the given message.
Glib::PropertyProxy< Role > | property_accessible_role ()
| The accessible role of the given `Gtk::Accessible` implementation.
Glib::PropertyProxy_ReadOnly< Role > | property_accessible_role () const
| The accessible role of the given `Gtk::Accessible` implementation.
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Gtk::Buildable
| Buildable (Buildable && src) noexcept
Buildable & | operator= (Buildable && src) noexcept
| ~Buildable () noexcept override
GtkBuildable * | gobj ()
| Provides access to the underlying C GObject.
const GtkBuildable * | gobj () const
| Provides access to the underlying C GObject.
Glib::ustring | get_buildable_id () const
| Gets the ID of the buildable object.
Public Member Functions inherited from Gtk::ConstraintTarget
| ConstraintTarget (ConstraintTarget && src) noexcept
ConstraintTarget & | operator= (ConstraintTarget && src) noexcept
| ~ConstraintTarget () noexcept override
GtkConstraintTarget * | gobj ()
| Provides access to the underlying C GObject.
const GtkConstraintTarget * | gobj () const
| Provides access to the underlying C GObject.
Public Member Functions inherited from Gtk::Native
| Native (Native && src) noexcept
Native & | operator= (Native && src) noexcept
| ~Native () noexcept override
GtkNative * | gobj ()
| Provides access to the underlying C GObject.
const GtkNative * | gobj () const
| Provides access to the underlying C GObject.
void | realize ()
| Realizes a `Gtk::Native`.
void | unrealize ()
| Unrealizes a `Gtk::Native`.
Glib::RefPtr< Gdk::Surface > | get_surface ()
| Returns the surface of this `Gtk::Native`.
Glib::RefPtr< const Gdk::Surface > | get_surface () const
| Returns the surface of this `Gtk::Native`.
void | get_surface_transform (double & x, double & y)
| Retrieves the surface transform of self.
Public Member Functions inherited from Gtk::ShortcutManager
| ShortcutManager (ShortcutManager && src) noexcept
ShortcutManager & | operator= (ShortcutManager && src) noexcept
| ~ShortcutManager () noexcept override
GtkShortcutManager * | gobj ()
| Provides access to the underlying C GObject.
const GtkShortcutManager * | gobj () const
| Provides access to the underlying C GObject.
Public Member Functions inherited from Gtk::Root
| Root (Root && src) noexcept
Root & | operator= (Root && src) noexcept
| ~Root () noexcept override
GtkRoot * | gobj ()
| Provides access to the underlying C GObject.
const GtkRoot * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< Gdk::Display > | get_display ()
| Returns the display that this `Gtk::Root` is on.
Glib::RefPtr< const Gdk::Display > | get_display () const
| Returns the display that this `Gtk::Root` is on.
void | set_focus (Widget & focus)
| If focus is not the current focus widget, and is focusable, sets it as the focus widget for the root.
void | unset_focus ()
| Unsets the focus widget for the root.
Widget * | get_focus ()
| Retrieves the current focused widget within the root.
const Widget * | get_focus () const
| Retrieves the current focused widget within the root.
Public Member Functions inherited from Gio::ActionGroup
| ActionGroup (ActionGroup &&src) noexcept
ActionGroup & | operator= (ActionGroup &&src) noexcept
| ~ActionGroup () noexcept override
GActionGroup * | gobj ()
const GActionGroup * | gobj () const
bool | has_action (const Glib::ustring &action_name) const
std::vector< Glib::ustring > | list_actions () const
bool | query_action (const Glib::ustring &action_name, bool &enabled, Glib::VariantType &parameter_type, Glib::VariantBase &state_hint, Glib::VariantType &state_type, Glib::VariantBase &state)
bool | query_action (const Glib::ustring &action_name, bool &enabled, Glib::VariantType &parameter_type, Glib::VariantBase &state_hint, Glib::VariantType &state_type)
bool | query_action (const Glib::ustring &action_name, bool &enabled, Glib::VariantType &parameter_type, Glib::VariantBase &state_hint, Glib::VariantBase &state)
bool | query_action (const Glib::ustring &action_name, bool &enabled, Glib::VariantType &parameter_type, Glib::VariantBase &state_hint)
bool | query_action (const Glib::ustring &action_name, bool &enabled, Glib::VariantBase &state_hint, Glib::VariantType &state_type, Glib::VariantBase &state)
bool | query_action (const Glib::ustring &action_name, bool &enabled, Glib::VariantBase &state_hint, Glib::VariantType &state_type)
bool | query_action (const Glib::ustring &action_name, bool &enabled, Glib::VariantBase &state_hint, Glib::VariantBase &state)
bool | query_action (const Glib::ustring &action_name, bool &enabled, Glib::VariantBase &state_hint)
bool | get_action_enabled (const Glib::ustring &action_name) const
Glib::VariantType | get_action_parameter_type (const Glib::ustring &action_name) const
Glib::VariantType | get_action_state_type (const Glib::ustring &action_name) const
void | get_action_state_hint (const Glib::ustring &action_name, T_Value &value) const
Glib::VariantContainerBase | get_action_state_hint_variant (const Glib::ustring &action_name) const
void | get_action_state (const Glib::ustring &action_name, T_Value &value) const
Glib::VariantBase | get_action_state_variant (const Glib::ustring &action_name) const
void | change_action_state (const Glib::ustring &action_name, const Glib::VariantBase &value)
void | activate_action (const Glib::ustring &action_name, const Glib::VariantBase &parameter)
void | activate_action (const Glib::ustring &action_name)
void | action_added (const Glib::ustring &action_name)
void | action_removed (const Glib::ustring &action_name)
void | action_enabled_changed (const Glib::ustring &action_name, bool enabled)
void | action_state_changed (const Glib::ustring &action_name, const Glib::VariantBase &state)
Glib::SignalProxyDetailed< void(const Glib::ustring &)> | signal_action_added (const Glib::ustring &action_name={})
Glib::SignalProxyDetailed< void(const Glib::ustring &, bool)> | signal_action_enabled_changed (const Glib::ustring &action_name={})
Glib::SignalProxyDetailed< void(const Glib::ustring &)> | signal_action_removed (const Glib::ustring &action_name={})
Glib::SignalProxyDetailed< void(const Glib::ustring &, const Glib::VariantBase &)> | signal_action_state_changed (const Glib::ustring &action_name={})
Glib::RefPtr< Gio::ActionGroup > | wrap (GActionGroup *object, bool take_copy=false)
Public Member Functions inherited from Gio::ActionMap
| ActionMap (ActionMap &&src) noexcept
ActionMap & | operator= (ActionMap &&src) noexcept
| ~ActionMap () noexcept override
GActionMap * | gobj ()
const GActionMap * | gobj () const
void | add_action (const Glib::RefPtr< Action > &action)
void | remove_action (const Glib::ustring &action_name)
Glib::RefPtr< Action > | lookup_action (const Glib::ustring &action_name)
Glib::RefPtr< const Action > | lookup_action (const Glib::ustring &action_name) const
Glib::RefPtr< SimpleAction > | add_action (const Glib::ustring &name)
Glib::RefPtr< SimpleAction > | add_action (const Glib::ustring &name, const ActivateSlot &slot)
Glib::RefPtr< SimpleAction > | add_action_with_parameter (const Glib::ustring &name, const Glib::VariantType &parameter_type, const ActivateWithParameterSlot &slot)
Glib::RefPtr< SimpleAction > | add_action_bool (const Glib::ustring &name, bool state=false)
Glib::RefPtr< SimpleAction > | add_action_bool (const Glib::ustring &name, const ActivateSlot &slot, bool state=false)
Glib::RefPtr< SimpleAction > | add_action_radio_string (const Glib::ustring &name, const Glib::ustring &state)
Glib::RefPtr< SimpleAction > | add_action_radio_string (const Glib::ustring &name, const ActivateWithStringParameterSlot &slot, const Glib::ustring &state)
Glib::RefPtr< SimpleAction > | add_action_radio_integer (const Glib::ustring &name, gint32 state)
Glib::RefPtr< SimpleAction > | add_action_radio_integer (const Glib::ustring &name, const ActivateWithIntParameterSlot &slot, gint32 state)
Glib::RefPtr< Gio::ActionMap > | wrap (GActionMap *object, bool take_copy=false)

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Window
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static void | set_default_icon_name (const Glib::ustring & name)
| Sets an icon to be used as fallback.
static Glib::ustring | get_default_icon_name ()
| Returns the fallback icon name for windows.
static void | set_auto_startup_notification (bool setting=true)
| Sets whether the window should request startup notification.
static Glib::RefPtr< Gio::ListModel > | get_toplevels ()
| Returns the list of all existing toplevel windows.
static std::vector< Window * > | list_toplevels ()
| Returns the list of all existing toplevel windows.
static void | set_interactive_debugging (bool enable=true)
| Opens or closes the interactive debugger.
Static Public Member Functions inherited from Gtk::Widget
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static void | set_default_direction (TextDirection dir)
| Sets the default reading direction for widgets.
static TextDirection | get_default_direction ()
| Obtains the default reading direction.
Static Public Member Functions inherited from Gtk::Accessible
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::ConstraintTarget
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Native
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Native * | get_for_surface (const Glib::RefPtr< const Gdk::Surface > & surface)
| Finds the `Gtk::Native` associated with the surface.
Static Public Member Functions inherited from Gtk::ShortcutManager
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Root
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gio::ActionGroup
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
Static Public Member Functions inherited from Gio::ActionMap
static void | add_interface (GType gtype_implementer)
static GType | get_type ()

## Related Symbols
(Note that these are not member symbols.)
Gtk::ApplicationWindow * | wrap (GtkApplicationWindow * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Window
Gtk::Window * | wrap (GtkWindow * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Widget
Gtk::Widget * | wrap (GtkWidget * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Accessible
Glib::RefPtr< Gtk::Accessible > | wrap (GtkAccessible * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::ConstraintTarget
Glib::RefPtr< Gtk::ConstraintTarget > | wrap (GtkConstraintTarget * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Native
Glib::RefPtr< Gtk::Native > | wrap (GtkNative * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::ShortcutManager
Glib::RefPtr< Gtk::ShortcutManager > | wrap (GtkShortcutManager * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Root
Glib::RefPtr< Gtk::Root > | wrap (GtkRoot * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Gtk::Widget
using | PreferredSize = MinimumNatural<Requisition>
| Structure returned by the non-output-parameter overload of get_preferred_size().
using | SlotTick = sigc::slot<bool(const Glib::RefPtr<Gdk::FrameClock>&)>
| Callback type for adding a function to update animations.
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from Gtk::Accessible
enum class | Role { Role::ALERT , Role::ALERT_DIALOG , Role::BANNER , Role::BUTTON , Role::CAPTION , Role::CELL , Role::CHECKBOX , Role::COLUMN_HEADER , Role::COMBO_BOX , Role::COMMAND , Role::COMPOSITE , Role::DIALOG , Role::DOCUMENT , Role::FEED , Role::FORM , Role::GENERIC , Role::GRID , Role::GRID_CELL , Role::GROUP , Role::HEADING , Role::IMG , Role::INPUT , Role::LABEL , Role::LANDMARK , Role::LEGEND , Role::LINK , Role::LIST , Role::LIST_BOX , Role::LIST_ITEM , Role::LOG , Role::MAIN , Role::MARQUEE , Role::MATH , Role::METER , Role::MENU , Role::MENU_BAR , Role::MENU_ITEM , Role::MENU_ITEM_CHECKBOX , Role::MENU_ITEM_RADIO , Role::NAVIGATION , Role::NONE , Role::NOTE , Role::OPTION , Role::PRESENTATION , Role::PROGRESS_BAR , Role::RADIO , Role::RADIO_GROUP , Role::RANGE , Role::REGION , Role::ROW , Role::ROW_GROUP , Role::ROW_HEADER , Role::SCROLLBAR , Role::SEARCH , Role::SEARCH_BOX , Role::SECTION , Role::SECTION_HEAD , Role::SELECT , Role::SEPARATOR , Role::SLIDER , Role::SPIN_BUTTON , Role::STATUS , Role::STRUCTURE , Role::SWITCH , Role::TAB , Role::TABLE , Role::TAB_LIST , Role::TAB_PANEL , Role::TEXT_BOX , Role::TIME , Role::TIMER , Role::TOOLBAR , Role::TOOLTIP , Role::TREE , Role::TREE_GRID , Role::TREE_ITEM , Role::WIDGET , Role::WINDOW , Role::TOGGLE_BUTTON , Role::APPLICATION , Role::PARAGRAPH , Role::BLOCK_QUOTE , Role::ARTICLE , Role::COMMENT , Role::TERMINAL }
| The accessible role for a Gtk::Accessible implementation. More...
enum class | State { State::BUSY , State::CHECKED , State::DISABLED , State::EXPANDED , State::HIDDEN , State::INVALID , State::PRESSED , State::SELECTED , State::VISITED }
| The possible accessible states of a Gtk::Accessible. More...
enum class | Property { Property::AUTOCOMPLETE , Property::DESCRIPTION , Property::HAS_POPUP , Property::KEY_SHORTCUTS , Property::LABEL , Property::LEVEL , Property::MODAL , Property::MULTI_LINE , Property::MULTI_SELECTABLE , Property::ORIENTATION , Property::PLACEHOLDER , Property::READ_ONLY , Property::REQUIRED , Property::ROLE_DESCRIPTION , Property::SORT , Property::VALUE_MAX , Property::VALUE_MIN , Property::VALUE_NOW , Property::VALUE_TEXT , Property::HELP_TEXT }
| The possible accessible properties of a Gtk::Accessible. More...
enum class | Relation { Relation::ACTIVE_DESCENDANT , Relation::COL_COUNT , Relation::COL_INDEX , Relation::COL_INDEX_TEXT , Relation::COL_SPAN , Relation::CONTROLS , Relation::DESCRIBED_BY , Relation::DETAILS , Relation::ERROR_MESSAGE , Relation::FLOW_TO , Relation::LABELLED_BY , Relation::OWNS , Relation::POS_IN_SET , Relation::ROW_COUNT , Relation::ROW_INDEX , Relation::ROW_INDEX_TEXT , Relation::ROW_SPAN , Relation::SET_SIZE , Relation::LABEL_FOR , Relation::DESCRIPTION_FOR , Relation::CONTROLLED_BY , Relation::DETAILS_FOR , Relation::ERROR_MESSAGE_FOR , Relation::FLOW_FROM }
| The possible accessible relations of a Gtk::Accessible. More...
enum class | PlatformState { PlatformState::FOCUSABLE , PlatformState::FOCUSED , PlatformState::ACTIVE }
| The various platform states which can be queried using Gtk::Accessible::get_platform_state(). More...
enum class | AnnouncementPriority { AnnouncementPriority::LOW , AnnouncementPriority::MEDIUM , AnnouncementPriority::HIGH }
| The priority of an accessibility announcement. More...
Public Types inherited from Gio::ActionMap
typedef sigc::slot< void()> | ActivateSlot
typedef sigc::slot< void(const Glib::VariantBase &)> | ActivateWithParameterSlot
typedef sigc::slot< void(const Glib::ustring &)> | ActivateWithStringParameterSlot
typedef sigc::slot< void(int)> | ActivateWithIntParameterSlot
Protected Member Functions inherited from Gtk::Window
void | on_window_hide ()
void | destroy_ ()
virtual void | on_keys_changed ()
| This is a default handler for the signal signal_keys_changed().
virtual bool | on_close_request ()
| This is a default handler for the signal signal_close_request().
Protected Member Functions inherited from Gtk::Widget
virtual void | root_vfunc ()
virtual void | unroot_vfunc ()
virtual void | size_allocate_vfunc (int width, int height, int baseline)
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | measure_vfunc (Orientation orientation, int for_size, int & minimum, int & natural, int & minimum_baseline, int & natural_baseline) const
virtual bool | grab_focus_vfunc ()
virtual void | set_focus_child_vfunc (Widget * child)
| Sets the focused child of widget.
virtual void | compute_expand_vfunc (bool & hexpand_p, bool & vexpand_p)
virtual bool | contains_vfunc (double x, double y) const
virtual void | snapshot_vfunc (const Glib::RefPtr< Gtk::Snapshot > & snapshot)
| Widget ()
void | realize ()
| Creates the GDK resources associated with a widget.
void | unrealize ()
| Causes a widget to be unrealized.
void | realize_if_needed ()
void | set_focus_child (Widget & child)
| Set the focus child of the widget.
void | unset_focus_child ()
| Unsets the focus child of the widget.
Widget * | get_focus_child ()
| Returns the focus child of the widget.
const Widget * | get_focus_child () const
| Returns the focus child of the widget.
virtual void | on_show ()
| This is a default handler for the signal signal_show().
virtual void | on_hide ()
| This is a default handler for the signal signal_hide().
virtual void | on_map ()
| This is a default handler for the signal signal_map().
virtual void | on_unmap ()
| This is a default handler for the signal signal_unmap().
virtual void | on_realize ()
| This is a default handler for the signal signal_realize().
virtual void | on_unrealize ()
| This is a default handler for the signal signal_unrealize().
virtual void | on_state_flags_changed (Gtk::StateFlags previous_state_flags)
| This is a default handler for the signal signal_state_flags_changed().
virtual void | on_direction_changed (TextDirection direction)
| This is a default handler for the signal signal_direction_changed().
virtual bool | on_mnemonic_activate (bool group_cycling)
| This is a default handler for the signal signal_mnemonic_activate().
virtual bool | on_query_tooltip (int x, int y, bool keyboard_tooltip, const Glib::RefPtr< Tooltip > & tooltip)
| This is a default handler for the signal signal_query_tooltip().
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gtk::Accessible
| Accessible ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::ConstraintTarget
| ConstraintTarget ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::Native
| Native ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::ShortcutManager
| ShortcutManager ()
| You should derive from this class to use it.
virtual void | add_controller_vfunc (const Glib::RefPtr< ShortcutController > & controller)
virtual void | remove_controller_vfunc (const Glib::RefPtr< ShortcutController > & controller)
Protected Member Functions inherited from Gtk::Root
| Root ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gio::ActionGroup
| ActionGroup ()
virtual bool | has_action_vfunc (const Glib::ustring &name) const
virtual std::vector< Glib::ustring > | list_actions_vfunc () const
virtual bool | get_action_enabled_vfunc (const Glib::ustring &name) const
virtual Glib::VariantType | get_action_parameter_type_vfunc (const Glib::ustring &name) const
virtual Glib::VariantType | get_action_state_type_vfunc (const Glib::ustring &name) const
virtual Glib::VariantBase | get_action_state_hint_vfunc (const Glib::ustring &name) const
virtual Glib::VariantBase | get_action_state_vfunc (const Glib::ustring &name) const
virtual void | change_action_state_vfunc (const Glib::ustring &name, const Glib::VariantBase &value)
virtual void | activate_action_vfunc (const Glib::ustring &name, const Glib::VariantBase &parameter)
virtual void | on_action_added (const Glib::ustring &action_name)
virtual void | on_action_enabled_changed (const Glib::ustring &action_name, bool enabled)
virtual void | on_action_removed (const Glib::ustring &action_name)
virtual void | on_action_state_changed (const Glib::ustring &action_name, const Glib::VariantBase &value)
Protected Member Functions inherited from Gio::ActionMap
| ActionMap ()
virtual Glib::RefPtr< Action > | lookup_action_vfunc (const Glib::ustring &name) const
virtual void | add_action_vfunc (const Glib::RefPtr< Action > &action) const
virtual void | remove_action_vfunc (const Glib::ustring &name)

## Detailed Description

A Gtk::Window subclass with Gtk::Application support.

ApplicationWindow is a Gtk::Window subclass that offers some extra functionality for better integration with Gtk::Application features. Notably, it can handle both the application menu as well as the menubar. See set_app_menu() and set_menubar().

This class derives from Gio::ActionGroup and Gio::ActionMap, to let you add window-specific actions that will be exported by the associated Gtk::Application, together with its application-wide actions. Window-specific actions are prefixed with the "win." prefix and application-wide actions are prefixed with the "app." prefix. Actions must be addressed with the prefixed name when referring to them from a Gio::MenuModel, or in activate_action(). Gio::ActionGroup::activate_action() does not accept prefixes.

Note that widgets that are placed inside a Gtk::ApplicationWindow can also activate these actions, if they implement the Gtk::Actionable interface.

As with Gtk::Application, the GDK lock will be acquired when processing actions arriving from other processes and should therefore be held when activating actions locally (if GDK threads are enabled).

The settings Gtk::Settings::property_gtk_shell_shows_app_menu() and Gtk::Settings::property_gtk_shell_shows_menubar() tell GTK whether the desktop environment is showing the application menu and menubar models outside the application as part of the desktop shell. For instance, on OS X, both menus will be displayed remotely; on Windows neither will be. gnome-shell (starting with version 3.4) will display the application menu, but not the menubar.

If the desktop environment does not display the menubar, then Gtk::ApplicationWindow will automatically show a menubar for it. This behaviour can be overridden with property_show_menubar(). If the desktop environment does not display the application menu, then it will automatically be included in the menubar.

## Constructor & Destructor Documentation

## ◆ ApplicationWindow() [1/4]

Gtk::ApplicationWindow::ApplicationWindow | ( | ApplicationWindow && | src | ) |
| noexcept

## ◆ ApplicationWindow() [2/4]

Gtk::ApplicationWindow::ApplicationWindow | ( | const ApplicationWindow & |  | ) |
| delete

## ◆ ~ApplicationWindow()

Gtk::ApplicationWindow::~ApplicationWindow | ( |  | ) |
| overridenoexcept

## ◆ ApplicationWindow() [3/4]

Gtk::ApplicationWindow::ApplicationWindow | ( |  | ) |

## ◆ ApplicationWindow() [4/4]

Gtk::ApplicationWindow::ApplicationWindow | ( | const Glib::RefPtr< Application > & | application | ) |
| explicit

## Member Function Documentation

## ◆ activate_action()

bool Gtk::Widget::activate_action | ( | const Glib::ustring & | name,
|  | const Glib::VariantBase & | args = {} )

Looks up the action in the action groups associated with the widget and its ancestors, and activates it.

If the action is in an action group added with insert_action_group(), the name is expected to be prefixed with the prefix that was used when the group was inserted.

The arguments must match the action's expected parameter type, as returned by Gio::Action::get_parameter_type().

Parameters

  name | The name of the action to activate.
  args | Parameters to use, or an empty (invalid) Glib::VariantBase if the action does not expect parameters.

Returns
  `true` if the action was activated, `false` if the action does not exist.

## ◆ get_help_overlay() [1/2]

ShortcutsWindow * Gtk::ApplicationWindow::get_help_overlay | ( |  | ) |

Gets the `Gtk::ShortcutsWindow` that is associated with window.

See set_help_overlay().

Deprecated: 4.18: `Gtk::ShortcutsWindow` will be removed in GTK 5

Deprecated
  4.18: libadwaita (a C library) has a replacement for GtkShortcutsWindow.

Returns
  The help overlay associated with the window.

## ◆ get_help_overlay() [2/2]

const ShortcutsWindow * Gtk::ApplicationWindow::get_help_overlay | ( |  | ) | const

Gets the `Gtk::ShortcutsWindow` that is associated with window.

See set_help_overlay().

Deprecated: 4.18: `Gtk::ShortcutsWindow` will be removed in GTK 5

Deprecated
  4.18: libadwaita (a C library) has a replacement for GtkShortcutsWindow.

Returns
  The help overlay associated with the window.

## ◆ get_id()

guint Gtk::ApplicationWindow::get_id | ( |  | ) | const

Returns the unique ID of the window.

If the window has not yet been added to a `Gtk::Application`, returns `0`.

Returns
  The unique ID for the window, or `0` if the window has not yet been added to an application.

## ◆ get_show_menubar()

bool Gtk::ApplicationWindow::get_show_menubar | ( |  | ) | const

Returns whether the window will display a menubar for the app menu and menubar as needed.

Returns
  True if the window will display a menubar when needed.

## ◆ get_type()

static GType Gtk::ApplicationWindow::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkApplicationWindow * Gtk::ApplicationWindow::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkApplicationWindow * Gtk::ApplicationWindow::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=() [1/2]

ApplicationWindow & Gtk::ApplicationWindow::operator= | ( | ApplicationWindow && | src | ) |
| noexcept

## ◆ operator=() [2/2]

ApplicationWindow & Gtk::ApplicationWindow::operator= | ( | const ApplicationWindow & |  | ) |
| delete

## ◆ property_show_menubar() [1/2]

Glib::PropertyProxy< bool > Gtk::ApplicationWindow::property_show_menubar | ( |  | ) |

If this property is true, the window will display a menubar unless it is shown by the desktop shell.

See Gtk::Application::set_menubar().

If false, the window will not display a menubar, regardless of whether the desktop shell is showing it or not.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_menubar() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::ApplicationWindow::property_show_menubar | ( |  | ) | const

If this property is true, the window will display a menubar unless it is shown by the desktop shell.

See Gtk::Application::set_menubar().

If false, the window will not display a menubar, regardless of whether the desktop shell is showing it or not.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_help_overlay()

void Gtk::ApplicationWindow::set_help_overlay | ( | ShortcutsWindow & | help_overlay | ) |

Associates a shortcuts window with the application window.

Additionally, sets up an action with the name `win.show-help-overlay` to present it.

The window takes responsibility for destroying the help overlay.

Deprecated: 4.18: `Gtk::ShortcutsWindow` will be removed in GTK 5

Deprecated
  4.18: libadwaita (a C library) has a replacement for GtkShortcutsWindow.

Parameters

  help_overlay | A shortcuts window.

## ◆ set_show_menubar()

void Gtk::ApplicationWindow::set_show_menubar | ( | bool | show_menubar = true | ) |

Sets whether the window will display a menubar for the app menu and menubar as needed.

Parameters

  show_menubar | Whether to show a menubar when needed.

## ◆ unset_help_overlay()

void Gtk::ApplicationWindow::unset_help_overlay | ( |  | ) |

Undoes the effect of a previous call to set_help_overlay().

Since gtkmm 3.20

Deprecated
  4.18: libadwaita (a C library) has a replacement for GtkShortcutsWindow.

## Friends And Related Symbol Documentation

## ◆ wrap()

Gtk::ApplicationWindow * wrap | ( | GtkApplicationWindow * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.